# Tessellated in maplibre::benchmarking::tessellation - Rust
An element that can be tessellated into vertex buffers.
Keywords: rust, rustlang, rust-lang, Tessellated

# Trait maplibre::benchmarking::tessellation::Tessellated

source · [−]

    pub trait Tessellated<I: Add> {
        fn tessellate(
            &self
        ) -> Result<(VertexBuffers<ShaderVertex, I>, Vec<u32>), Error>;
    }

Expand description

An element that can be tessellated into vertex buffers.

## Required methods

source

#### fn tessellate(
&self
) -> Result<(VertexBuffers<ShaderVertex, I>, Vec<u32>), Error>

Returns a vertex buffer which represents some object like a layer. Each object can contain multiple features. For each feature also the amount of indices is returned.

## Implementors